#ifndef GENERATOR_HPP
#define GENERATOR_HPP

#include <string>

void PrintUsage(void);

struct ArgumentList {
    std::string filename = "";
    bool isFileSet = false;
    int prefixLength = 0;
    bool isPrefixSet = false;
    int outputLength = 0;
    bool isOutputSet = false;
};

struct Generator {
public:
    Generator(void) = default;
    ~Generator(void) = default;
    void SetArguments(int argc, char* argv[]);
private:
    ArgumentList setup;
};

#endif // !GENERATOR_HPP
